﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class ComboDropDownListSelection : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            rcbComboBox.DataSource = CreateTestTable();
            rcbComboBox.DataBind();
            ddlList.DataSource = CreateTestTable();
            ddlList.DataBind();
        }
    }

    private DataTable CreateTestTable()
    {
        DataTable table = new DataTable();
        table.Columns.Add("OWNER_TYPE");
        table.Columns.Add("Value");
        table.Rows.Add("Item1", "1");
        table.Rows.Add("Item2", "2");
        table.Rows.Add("Item3", "3");
        table.Rows.Add("Item4", "4");
        table.Rows.Add("Item5", "5");
        return table;
    }

    protected void ddlList_SelectedIndexChanged(object sender, EventArgs e)
    {
        string Name = ddlList.SelectedItem.Text;
        rcbComboBox.ClearCheckedItems();
        rcbComboBox.Text = string.Empty;
        rcbComboBox.Text = Name;
        rcbComboBox.Items.FindItemByText(Name).Checked = true;
    }

    protected void rcbComboBox_ItemChecked(object sender, RadComboBoxItemEventArgs e)
    {

    }

    protected void rcbComboBox_ItemDataBound(object sender, RadComboBoxItemEventArgs e)
    {

    }
}